/*
 * Help Access Library 
 * A CGI-Program to read Windows Help files in a Web Browser.
 *
 * Copyright (C) 1995-2004 Bernd Herd, http://www.herdsoft.com
 *                                                                  
 * This program is free software; you can redistribute it and/or    
 * modify it under the terms of the GNU General Public License as   
 * published by the Free Software Foundation; either version 2 of   
 * the License.              
 *                                                                  
 * This program is distributed in the hope that it will be useful,  
 * but WITHOUT ANY WARRANTY; without even the implied warranty of   
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    
 * GNU General Public License for more details.                     
 *                                                                  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software      
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        
 */
/* virtchmfs.c -- part of WinHelpCGI

   Implements a virtual CHM sourcecode file system:

   (C)1996-2004 Herd Software Development, Kettelerstr. 35 / 68642 Buerstadt / Germany"
*/



struct vchm* VCHMOpen(const char *HelpFileName);
void VCHMClose(struct vchm *);
BOOL VCHMGetFile(struct vchm *, STRINGBUFFER *sbout, const char *virtfilename, unsigned int formattingflags, char *mimetype, int mimetypesize);
struct _TOPIC *VCHMGetTopicHandle(struct vchm *);
struct _IFS *VCHMGetIfsHandle(struct vchm *);
time_t VCHMGetGenDate(struct vchm *);
const char *VCHMGetHlpFileName(struct vchm *);
