Summary:      CGI-Program to read Windows Help Files from Linux in a Web browser
Name:         winhelpcgi
Version:      1.0rc3
Release:      1
Copyright:    distributable
Group:        Utilities/File
Source:       http://www.herdsoft.com/ftp/winhelpcgi_1.0rc2-1.tar.gz
Requires:     apache
#BuildRoot:    /tmp/winhelpcgi
%description
This is a CGI-Program for use in a web server like apache to read 
Windows Help (.HLP) Files  and Multimedia Viewer Files (.MVB)
in a web browser without requiring Windows.

After installation copy or symlink your help files to
/srv/www/cgi-bin/helpfiles. And open http://localhost/cgi-bin/winhelpcgi.cgi
in your web browser.

This RPM has been tested with SuSE 8.2 and is expected
to work with newer SuSE releases.

%prep 
%setup

%build
%configure --disable-libwmftest

make

%install
mkdir -p -m 0755 \
   /srv/www/cgi-bin/share/locale/de/LC_MESSAGES \
   /srv/www/cgi-bin/share/locale/nl/LC_MESSAGES \
   /srv/www/cgi-bin/share/locale/fr/LC_MESSAGES \
   /srv/www/cgi-bin/helpfiles/example/

install -s -m 755 winhelpcgi/winhelpcgi.cgi /srv/www/cgi-bin/
install -s -m 644 po/de.gmo /srv/www/cgi-bin/share/locale/de/LC_MESSAGES/winhelpcgi.mo
install -s -m 644 po/nl.gmo /srv/www/cgi-bin/share/locale/nl/LC_MESSAGES/winhelpcgi.mo
install -s -m 644 po/fr.gmo /srv/www/cgi-bin/share/locale/fr/LC_MESSAGES/winhelpcgi.mo
install -s -m 644 example/*.hlp example/*.cnt /srv/www/cgi-bin/helpfiles/example/


%files
%doc README COPYING NEWS AUTHORS 

/srv/www/cgi-bin/winhelpcgi.cgi
/srv/www/cgi-bin/share/locale/de/LC_MESSAGES/winhelpcgi.mo
/srv/www/cgi-bin/share/locale/nl/LC_MESSAGES/winhelpcgi.mo
/srv/www/cgi-bin/share/locale/fr/LC_MESSAGES/winhelpcgi.mo
/srv/www/cgi-bin/helpfiles/example/hlp2rtf.hlp
/srv/www/cgi-bin/helpfiles/example/hlpacces.hlp


%changelog
* Tue Jun 16 2004 Bernd Herd (Herd Software Entwicklung) <herd@herdsoft.com>
- Added dutch translation

* Tue Jun  1 2004 Bernd Herd (Herd Software Entwicklung) <herd@herdsoft.com>
- Built first RPM for ages...
